<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <title>Home</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>
<body>
<div class="container">

    <div class="row">
        <h2>Add New Rating</h2>
    </div>

    <div class="form-group w-25">
        <form action="#" th:action="@{/rating/validate}" th:object="${rating}" method="post" class="form-horizontal"
              style="width: 100%">
            <input type="hidden" th:field="*{id}"/>
            <div class="form-group mb-4">
                <label for="moodysrating">Moodys Rating</label>
                <input type="text" th:field="*{moodysRating}" class="form-control col-4 col-xs-3"
                       placeholder="Moodys rating" name="moodysrating" id="moodysrating">
                <div class="text-danger" th:if="${#fields.hasErrors('moodysRating')}"
                     th:errors="*{moodysRating}">Wrong moodys rating
                </div>
            </div>
            <div class="form-group mb-4">
                <label for="sandprating">Sand P rating</label>
                <input type="text" th:field="*{sandPRating}" class="form-control col-4" placeholder="Sand P Rating" name="sandprating"
                       id="sandprating">
                <div class="text-danger" th:if="${#fields.hasErrors('sandPRating')}"
                     th:errors="*{sandPRating}">Wrong sand p rating
                </div>
            </div>
            <div class="form-group mb-4">
                <label for="fitchrating">Fitch rating</label>
                <input type="text" th:field="*{fitchRating}" class="form-control col-4"
                       placeholder="Bid quantity" name="fitchrating" id="fitchrating">
                <div class="text-danger" th:if="${#fields.hasErrors('fitchRating')}"
                     th:errors="*{fitchRating}">Wrong fitch rating
                </div>
            </div>
            <div class="form-group mb-4">
                <label for="ordernumber">Order number</label>
                <input type="number" th:field="*{orderNumber}" class="form-control col-4"
                       placeholder="Order number" name="ordernumber" id="ordernumber">
                <div class="text-danger" th:if="${#fields.hasErrors('orderNumber')}"
                     th:errors="*{orderNumber}">Wrong order number
                </div>
            </div>
            <button type="submit" class="btn btn-primary">Save</button>
            <a class="btn btn-danger" th:href="@{/rating/list}">Cancel</a>

        </form>
    </div>

</div>
</body>
</html>